/*
 *            PCI Information
 */
#define	VENDOR_ID_LINUX24				    0x1409
#define	DEVICE_ID_LINUX24				    0x7168
#define SUBVENDOR_ID_LINUX24		    0x1409

/*----------------  1S  ------------------- */
#define SUBDEVICE_ID_LINUX24_4027A	0x4027
#define SUBDEVICE_ID_LINUX24_4027D	0x5027



/*----------------  2S  ------------------- */
#define SUBDEVICE_ID_LINUX24_4036A	0x0002
#define SUBDEVICE_ID_LINUX24_4036D	0x4036
#define SUBDEVICE_ID_LINUX24_4037A	0x4037
#define SUBDEVICE_ID_LINUX24_4037D	0x5037

#define SUBDEVICE_ID_LINUX24_8139		0x8138



/*----------------  4S  ------------------- */
#define SUBDEVICE_ID_LINUX24_4056A	0x4056
#define SUBDEVICE_ID_LINUX24_4056D	0x6056
#define SUBDEVICE_ID_LINUX24_4055WN	0x4055

#define SUBDEVICE_ID_LINUX24_8159		0x8156



/*----------------  8S  ------------------- */
#define SUBDEVICE_ID_LINUX24_4066A	0x4066
#define SUBDEVICE_ID_LINUX24_4066R	0x5066

#define SUBDEVICE_ID_LINUX24_8169		0x8166








/*
 *            UART Information
 */
#define LINUX24_MAX_BOARDS					      4
#define LINUX24_MAX_PORTS_TOTAL			      32
#define LINUX24_MAX_PORTS_PER_BOARD	      8

#define LINUX24_1699_HWID									0x01
#define LINUX24_1889_HWID									0x02
#define LINUX24_1699_CLK_DIVIDER_DISABLE	0x10

#define UART_LSR_ERR_IN_RFIFO		          0x80
#define UART_MCR_AFE						          0x20
#define UART_IIR_CTO						          0x0C


#define LINUX24_TTY_MAJOR				          245
#define LINUX24_CAL_MAJOR				          250
#define	LINUX24_EVENT_TXLOW			          1
#define	LINUX24_EVENT_HANGUP		          2

#ifndef ASYNC_CALLOUT_ACTIVE
#define ASYNC_CALLOUT_ACTIVE 		          0
#endif








/*
 *            FLOW CONTROL
 */
#define LINUX24_FLOWCTL_NONE			1
#define LINUX24_FLOWCTL_SW				2
#define LINUX24_FLOWCTL_HW_MANUAL	4
#define LINUX24_FLOWCTL_HW_AUTO		8








/*
 *            IO CONTROL
 */
#define LINUX24									0x900
#define LINUX24_DUMP_PORT_INFO	(LINUX24 + 50)









/*
 *                Other Define
 */
#define WAKEUP_CHARS		256
#define MIN(a,b)		((a) < (b) ? (a) : (b))
#define RELEVANT_IFLAG(iflag)	(iflag & (IGNBRK|BRKINT|IGNPAR|PARMRK|INPCK|IXON|IXOFF))









/*
 *                Driver Define
 */
#define DRIVER_VERSION 	"1.05"
#define DRIVER_AUTHOR 	"linux 2.4.x"
#define DRIVER_DESC 		"LINUX PCI I/O Driver Module"







struct port_info
{
	unsigned int		board_name_info;
	unsigned int		bus_number_info;
	unsigned int		dev_number_info;
	int							port_info;
	int							base_info;		
	int							irq_info;	
};









