/*
 *            SUNIX PCI Information              
 */
#define	PCI_VENDOR_ID_SUNIX				0x1409
#define	PCI_DEVICE_ID_SUNIX				0x7168
#define PCI_SUBVENDOR_ID_SUNIX			0x1409

/*----------------  1S  ------------------- */
#define PCI_SUBDEVICE_ID_SUNIX_4027A	0x4027
#define PCI_SUBDEVICE_ID_SUNIX_4027D	0x5027



/*----------------  2S  ------------------- */
#define PCI_SUBDEVICE_ID_SUNIX_4036A	0x0002
#define PCI_SUBDEVICE_ID_SUNIX_4036D	0x4036 
#define PCI_SUBDEVICE_ID_SUNIX_4037A	0x4037
#define PCI_SUBDEVICE_ID_SUNIX_4037D	0x5037

#define PCI_SUBDEVICE_ID_SUNIX_8139		0x8138



/*----------------  4S  ------------------- */
#define PCI_SUBDEVICE_ID_SUNIX_4056A	0x4056
#define PCI_SUBDEVICE_ID_SUNIX_4056D	0x6056
#define PCI_SUBDEVICE_ID_SUNIX_4055WN	0x4055

#define PCI_SUBDEVICE_ID_SUNIX_8159		0x8156 



/*----------------  8S  ------------------- */
#define PCI_SUBDEVICE_ID_SUNIX_4066A	0x4066
#define PCI_SUBDEVICE_ID_SUNIX_4066R	0x5066

#define PCI_SUBDEVICE_ID_SUNIX_8169		0x8166








/*
 *            SUNIX UART Information           
 */
#define SUNIX_MAX_BOARDS				4	
#define SUNIX_MAX_PORTS_TOTAL			32	
#define SUNIX_MAX_PORTS_PER_BOARD		8	

#define SUNIX_1699_HWID					0x01
#define SUNIX_1889_HWID					0x02
#define SUNIX_1699_CLK_DIVIDER_DISABLE	0x10

#define UART_LSR_ERR_IN_RFIFO			0x80	
#define UART_MCR_AFE					0x20
#define UART_IIR_CTO					0x0C	


#define SUNIX_TTY_MAJOR					245
#define	SUNIX_EVENT_TXLOW				1
#define	SUNIX_EVENT_HANGUP				2
#define ASYNC_CALLOUT_ACTIVE 			0





/*
 *            SUNIX FLOW CONTROL                 
 */
#define SUNIX_FLOWCTL_NONE				1
#define SUNIX_FLOWCTL_SW				2
#define SUNIX_FLOWCTL_HW_MANUAL			4
#define SUNIX_FLOWCTL_HW_AUTO			8





/*
 *            SUNIX IO CONTROL                   
 */
#define SUNIX					0x900
#define SUNIX_DUMP_PORT_INFO	(SUNIX + 50)







/*
 *                Other Define                   
 */
#define WAKEUP_CHARS			256
#define MIN(a,b)				((a) < (b) ? (a) : (b))
#define RELEVANT_IFLAG(iflag)	(iflag & (IGNBRK|BRKINT|IGNPAR|PARMRK|INPCK|IXON|IXOFF))








/*
 *                Driver Define                  
 */
#define DRIVER_VERSION 		"1.05"
#define DRIVER_AUTHOR 		"SUNIX GROUP<info@sunix.com.tw>"
#define DRIVER_DESC 		"SUNIX PCI I/O Driver Module"






struct port_info 
{
	unsigned int		board_name_info;
	unsigned int		bus_number_info;
	unsigned int		dev_number_info;
	int					port_info;
	int					base_info;		
	int					irq_info;	
};







