/****************************************************************************************/
/*                                                                                      */	
/*                              SUNIX Linux Dumb Terminal                               */
/*                                                                                      */
/*                                                                                      */
/*                                                                                      */
/*                                                              Version: 1.00           */	
/*                                                              Date: 07/10/2006        */	
/****************************************************************************************/

/* define return value */
#define RETURN_ERROR		1
#define RETURN_OK		0


/* main menu choice value */
#define RET_COMMSETUP		1
#define RET_DUMBTERM_ASCII	2
#define RET_DUMBTERM_HEX	3
#define RET_SENDPATTERN		4
#define RET_EXITPROGRAM		5

/* comm menu choice value */
#define RET_BAUDRATE		2
#define RET_PARITY		3
#define RET_DATABIT		4
#define RET_STOPBIT		5
#define RET_FLOWCTL		6

/* define Key value */
#define KEY_SESC		27
#define KEY_SENTER		10
#define KEY_SDEL		330
#define KEY_SBACKSPACE		127
#define KEY_CTL_D		4
#define KEY_CTL_N		14


/* define each WINDOW H and W, start x and y */
#define WIN_TERM_H		24
#define WIN_TERM_W		80

#define WIN_MAIN_H 		6
#define WIN_MAIN_W 		32

#define WIN_PORT_H		7
#define WIN_PORT_W		38
#define WIN_PORT_STR_X		7
#define WIN_PORT_STR_Y		12

#define WIN_COMM_H		22
#define WIN_COMM_W		38
#define WIN_COMM_STR_X		30
#define WIN_COMM_STR_Y		1

#define WIN_MESG_H		4
#define WIN_MESG_W		80
#define WIN_MESG_STR_X 		0
#define WIN_MESG_STR_Y 		0

#define WIN_DUMB_H 		20
#define WIN_DUMB_W 		80
#define WIN_DUMB_STR_X		0
#define WIN_DUMB_STR_Y		4

#define WIN_EROR_H		3
#define WIN_EROR_W		30
#define WIN_EROR_STR_X		25
#define WIN_EROR_STR_Y 		21

#define WIN_PATN_H		4
#define WIN_PATN_W		29
#define WIN_PATN_STR_X 		7
#define WIN_PATN_STR_Y 		13

#define WIN_SCAN_H		7
#define WIN_SCAN_W		63
#define WIN_SCAN_STR_X 		10
#define WIN_SCAN_STR_Y 		8

#define WIN_DAUT_H		7
#define WIN_DAUT_W		44
#define WIN_DAUT_STR_X 		18
#define WIN_DAUT_STR_Y 		8


/* define error type */
#define ERRTYPE_OPEN		1

/* define FLAG value */
#define FLAG_OPENED		0x0001
#define FLAG_OPENCHANGE		0x0002
#define FLAG_FIRSTOPEN		0x0004
#define FLAG_OPENERR		0x0008
#define FLAG_TMIOFIRSTSET	0x0010
#define FLAG_TMIOCHANGE		0x0020
#define FLAG_SCANSTRING		0x0100
#define FLAG_SCANASCII		0x0200
#define FLAG_ASCIIMODE		0x1000
#define FLAG_HEXMODE		0x2000
#define FLAG_PATTERNMODE	0x4000

/* define receive buffer size */
#define RECVBUFFSIZE		80

/* define pthread stack size */
#ifndef PTHREAD_STACK_MIN
#define PTHREAD_STACK_MIN	16384
#endif

/* define each menu text */
static char *mainTable[] = 
		{ 
			" Serial port setup            ",
			" Dumb terminal (ASCII mode)   ",
			" Dumb terminal (Hex mode)     ",
			" Send pattern                 ",
		};
		
		
static char *portSetupTable[] = 
		{
			" A - Serial Device :                ",
			" B - Bps/Par/Bits  :                ",    
			" C - Flow Control  :                ",
		};
		
static char *baudTable[] = 
		{
			"300    ",
			"1200   ",
			"2400   ",
			"4800   ",
			"9600   ",
			"19200  ",
			"38400  ",
			"57600  ",
			"115200 ",
			"230400 ",
			"460800 ",
			"921600 ",
		};
		
static char *pariTable[] = 
		{
			"N",
			"E",
			"O",
		};
			
static char *dataTable[] = 
		{
			"5",
			"6",
			"7",
			"8",
		};
		
static char *stopTable[] = 
		{
			"1",
			"2",
		};

static char *flowTable[] = 
		{
			"RTS/CTS  ",
			"Xon/Xoff ",
			"None     ",  
		};
		
static char *patnTable[] = 
		{
			" Send Default Pattern      ",		
			" Send User Defined Pattern ",
		};
		
static char deviceName[15] = "/dev/ttyS0     ";
static char deviceNameBack[15];
static char fd[15];
static unsigned char userDefine[42];
static unsigned char userData[42];

